/*
 * oclh_h_base_clapi_wrappers.h
 *      Author: havock
 */
#ifndef OCLH_H_BASE_CLAPI_WRAPPERS_H_
#define OCLH_H_BASE_CLAPI_WRAPPERS_H_ 1
#include <CL/opencl.h>

typedef enum _GHE_REC_TYPE {
    _GHE_RT_POSTFIX = 0,
    _GHE_RT_PREFIX =  1
} _GHE_RECTYPE;

char* _ghf_CLAPIErrString(      const cl_int         clErr);
char* _ghf_PlatfPropString(     const cl_uint        clProp);
char* _ghf_DevPropSuffixString( const cl_device_info clDevInf,
                                const _GHE_RECTYPE   rt);

#endif /* OCLH_H_BASE_CLAPI_WRAPPERS_H_ */
